package com.framework.pay.core.enums;

/**
 * @Filename: ServiceExceptionEnum
 * @Author: zzy
 * @Data:2023/4/28 22:14
 * @Description: 异常码
 */
public enum ServiceExceptionEnum {


    PAY_CONCURRENTMAP_IS_NULL("10001","支付缓存容器为空"),
    PAY_NO_FIND_SUITABLE_PAYSERVICE("10002","未发现有对应的支付实现"),
    ALIPAY_QUERY_PARAM_COVERT_ERROR("10003","支付宝查询参数转换失败"),
    ALIPAY_QUERY_PARAM_NULL("10004","支付宝参数tradeNo,outTradeNo都为空"),
    ALIPAY_QUERY_OCCURED_ERROR("10005","支付宝查询异常"),
    ALIPAY_PAY_PARAM_COVERT_ERROR("10006","支付宝支付参数转换失败"),
    ALIPAY_PAY_PARAM_OUTRADENO_NOT_NULL("10007","订单号不能为空"),
    ALIPAY_PAY_PARAM_SUBJECT_NOT_NULL("10008","支付宝支付主题不能为空"),
    ALIPAY_PAY_PARAM_PRICE_ERROR("10009","支付宝支付金额错误"),
    ALIPAY_WAP_PAY_OCCURED_ERROR("10010","支付宝支付异常"),
    ALIPAY_REFUND_PARAM_COVERT_ERROR("10011","支付宝退款参数转换失败"),
    ALIPAY_REFUND_PRICE_ERROR("10012","支付宝退款金额有误"),
    ALIPAY_REFUND_OCCURED_ERROR("10013","支付宝退款异常"),
    ;



    private String code;
    private String message;

    ServiceExceptionEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

}
