/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.framework.pay.core.exception;

import com.framework.pay.core.enums.ServiceExceptionEnum;

/**
 * @Filename: PayServiceException
 * @Author: zzy
 * @Data:2023/4/28 22:17
 * @Description: 支付异常类
 */
public class PayServiceException extends RuntimeException {

    private String code;

    private String message;

    public PayServiceException(String message) {
        super(message);
    }


    public PayServiceException(String code,String message) {
        super(message);
        this.setCode(code);
    }

    public PayServiceException(ServiceExceptionEnum serviceExceptionEnum) {
        this(serviceExceptionEnum.getCode(),serviceExceptionEnum.getMessage());
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
