/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.framework.pay.core.handler.alipay.param;

import com.framework.pay.core.base.param.AbstractPayParam;
import com.framework.pay.core.enums.TransCurrencyEnum;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Filename: AlipayParam
 * @Author: zzy
 * @Data:2023/4/29 14:05
 * @Description: 支付宝支付请求参数
 */
@Data
public class AlipayParam extends AbstractPayParam {

    /**
     * 商户订单号
     */
    private String outTraderNo;

    /**
     * 订单总金额 单位为元
     */
    private BigDecimal price;

    /**
     * 订单标题
     */
    private String subject;

    /**
     * 支付币种
     */
    private TransCurrencyEnum transCurrency;

    /**
     * 产品码
     */
    private String productCode;

    /**
     * 回调调用bean名称
     */
    private String callBackBeanName;

    /**
     *  回调调用方法名称
     */
    private String callBackMethodName;

}
