/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.framework.pay.core.handler.alipay.param;

import com.framework.pay.core.enums.AlipayTradeStatusEnum;
import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @Filename: AlipayResponseParam
 * @Author: zzy
 * @Data:2023/4/29 1:49
 * @Description: 阿里支付查询响应参数
 * todo 待补充
 */
@Data
@SuperBuilder
public class AlipayQueryResponseParam extends AlipayCommonResponseParam {

    /**
     * 商户订单号
     */
    private String outTradeNo;

    /**
     * 支付宝订单号(交易流水号)
     */
    private String tradeNo;

    /**
     * 支付订单状态
     */
    private AlipayTradeStatusEnum tradeStatus;

    /**
     * 交易的订单金额，单位为元，两位小数。
     */
    private BigDecimal totalAmount;

}
