/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.framework.pay.core.handler.alipay.param;

import com.framework.pay.core.base.param.AbstractRefundParam;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Filename: AlipayRefundParam
 * @Author: zzy
 * @Data:2023/4/29 17:16
 * @Description: 支付宝退款参数
 */
@Data
public class AlipayRefundParam extends AbstractRefundParam {

    /**
     * 商户订单号
     */
    private String outTradeNo;

    /**
     * 支付宝交易流水号
     */
    private String tradeNo;

    /**
     * 退款金额
     */
    private BigDecimal refundAmount;

    /**
     * 退款原因
     */
    private String refundReason;
}
