/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.framework.pay.core.handler.alipay.param;

import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @Filename: AlipayRefundResponse
 * @Author: zzy
 * @Data:2023/4/29 17:27
 * @Description: 阿里支付退款返回参数
 */
@Data
@SuperBuilder
public class AlipayRefundResponseParam extends AlipayCommonResponseParam{

    /**
     * 支付宝交易流水号
     */
    private String tradeNo;

    /**
     * 商户订单号
     */
    private String outTradeNo;

    /**
     * 本次退款是否发生了资金变化 Y/N
     */
    private String fundChange;

    /**
     * 退款总金额。
     * 指该笔交易累计已经退款成功的金额。
     */
    private BigDecimal refundFee;
}
