/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.wxpay.client.api;

import com.framework.wxpay.client.core.config.AbstractHttpClient;
import com.framework.wxpay.client.core.config.DefaultHttpClientBuilder;
import com.framework.wxpay.client.core.config.HttpClient;
import com.framework.wxpay.client.core.config.RSAConfig;

/**
 * @author zzy
 * @date 2023/5/12-14:42
 * @Description: 微信支付client抽象实现
 */
public class AbstractWxpayClient implements WxpayClient {

    /**
     * appid
     */
    private String appId;

    /**
     * 商户ID
     */
    private String mchId;

    /**
     * 商户api证书路径
     */
    private String merchantCertificatePath;

    /**
     * 证书序列号
     */
    private String serialNo;

    /**
     * 网关地址
     */
    private String serverUrl;





    @Override
    public <T extends WxpayResponse> T excute(WxpayRequest<T> request) {
        RSAConfig config =
                new RSAConfig.Builder()
                        .merchanId("")
                        .merchantCertificatePath("")
                        .serialNo("")
                        .build();
        HttpClient httpClient =
                new DefaultHttpClientBuilder().config(config).build();
        httpClient.execute(null,request.getResponseClass());
        return null;
    }

    @Override
    public <T extends WxpayResponse> T certificateExecute(WxpayRequest<T> request) {
        return null;
    }
}
