package com.framework.wxpay.client.api;

import com.framework.wxpay.client.core.domain.HttpMethod;

/**
 * @author zzy
 * @date 2023/5/9-18:03
 * @Description: 微信支付请求参数抽象
 */

public interface WxpayRequest<T extends WxpayResponse> {

    /**
     * 获取wx请求api路径
     *
     * @return
     */
    String getApiMethodName();

    /**
     * 请求方式
     *
     * @return
     */
    HttpMethod getMethod();

    /**
     * 请求响应对象
     *
     * @return
     */
    Class<T> getResponseClass();

    /**
     * 请求参数
     *
     * @return
     */
    String reqParams();

    /**
     * 标识
     * 
     * @return
     */
    String getMark();


}
