/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.wxpay.client.core.config;

/**
 * @author zzy
 * @date 2023/5/12-15:56
 * @Description 调用微信支付服务的所需配置
 */

public interface Config {

    /**
     * 创建签名器
     *
     * @return 签名器
     */
    Signer createSigner();

    /**
     * 创建认证凭据生成器
     *
     * @return 认证凭据生成器
     */
    Credential createCredential();


    /**
     * 创建认证解析器
     *
     * @return
     */
    Validator createValidator();
}
