/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.wxpay.client.core.config;

import java.security.PrivateKey;

import static java.util.Objects.requireNonNull;

/**
 * @author zzy
 * @date 2023/5/12-17:13
 * @Description 微信支付RSA方式实现
 */
public class RSAConfig extends AbstractRSAConfig {

    /**
     * 构造方法
     *
     * @param merchantId
     * @param merchantSerialNumber
     * @param privateKey
     */
    private RSAConfig(String merchantId, String merchantSerialNumber, PrivateKey privateKey) {
        super(merchantSerialNumber,privateKey,merchantId);
    }

    /**
     * 内部构造器
     */
    public static class Builder extends AbstractRSAConfigBuilder<Builder>{
        @Override
        protected Builder self() {
            return this;
        }

        public RSAConfig build(){
            return new RSAConfig(
                    requireNonNull(merchanId),
                    requireNonNull(serialNo),
                    requireNonNull(privateKey));
        }
    }

}
