/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.wxpay.client.core.config;

import com.framework.wxpay.client.core.constant.Constant;

import java.security.PrivateKey;

/**
 * @author zzy
 * @date 2023/5/12-16:17
 * @Description RSA签名实现
 */
public class RSASigner extends AbstractSigner{
    public RSASigner(String certificateSerialNumber,PrivateKey privateKey) {
        super("SHA256-RSA2048", certificateSerialNumber, Constant.SHA256WITHRSA, privateKey);
    }
}
