package com.framework.wxpay.client.core.config;

import com.framework.wxpay.client.core.domain.SignatureResult;

/**
 * @author zzy
 * @date 2023/5/12-15:58
 * @Description 抽象签名方法
 */

public interface Signer {

    /**
     * 获取签名算法
     *
     * @return  签名算法
     */
    String getAlgorithm();

    /**
     * 生成签名结果
     *
     * @param message 要签名的参数
     * @return        签名结果
     */
    SignatureResult sign(String message);

}
