/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.wxpay.client.core.domain;
import lombok.Builder;
import lombok.Data;

import static java.util.Objects.requireNonNull;

/**
 * @author zzy
 * @date 2023/5/12-16:01
 * @Description 签名结果
 */
@Data
public class SignatureResult {

    /**
     * 签名结果
     */
    private String signature;

    /**
     * 证书序列号
     */
    private String certificateSerialNumber;

    /**
     * 构造方法
     *
     * @param signature
     * @param certificateSerialNumber
     */
    public SignatureResult(String signature, String certificateSerialNumber) {
        this.signature = requireNonNull(signature);
        this.certificateSerialNumber = requireNonNull(certificateSerialNumber);
    }

}
