package com.framework.toolkit;

/**
 * @Filename:
 * @Author: zzy
 * @Date: 2023/6/5-10:21
 * @Description:
 */
public interface Signer {

    /**
     * 签名方法
     *
     * @param sourceContent
     * @param signType
     * @param charset
     * @return
     */
     String sign(String sourceContent,String signType,String charset) throws Exception;

    /**
     * 验签方法
     *
     * @param cipherText
     * @param signType
     * @param charset
     * @return
     */
    boolean verify(String cipherText,String signType,String charset,String publicKey,String sign) throws Exception;
}
